Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057819 - afp.h contains incorrect paths
Summary: afp.h contains incorrect paths
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: afpfs-ng
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 806668 967500 993837 1068888 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 02:25 UTC by jason
Modified: 2014-03-17 07:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 993837
Environment:
Last Closed: 2014-01-25 10:34:33 UTC


Attachments (Terms of Use)

Description jason 2014-01-25 02:25:03 UTC
This bug persists in F20, and was first reported in F16 and there has been no maintainer response to any of the previous reports.  



+++ This bug was initially created as a clone of Bug #993837 +++

Also happens in F19

+++ This bug was initially created as a clone of Bug #967500 +++

As mentioned below this is also happening on fedora 17.

+++ This bug was initially created as a clone of Bug #806668 +++

Description of problem:
While attempting to compile xbmc 11.0 using afpfs-ng, I ran into two errors where the files afp_protocol.h and libafpclient.h included from afp.h could not be found.  I was able to make it work by changing the lines in afp.h from:
#include <afp_protocol.h>
#include <libafpclient.h>
to:
#include <afpfs-ng/afp_protocol.h>
#include <afpfs-ng/libafpclient.h>

Not sure if this is a bug in the library, or in the way its packaged, so I'm reporting it here first.

Version-Release number of selected component (if applicable):
0.8.1-8.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt compile including afp.h
2. Observe error
  
Actual results:
/usr/include/afpfs-ng/afp.h:10:26: fatal error: afp_protocol.h: No such file or directory

Expected results:
Successful compilation

Additional info:

--- Additional comment from  on 2012-09-19 19:49:10 EDT ---

The same issue as described above still exists in F17 with afpfs-ng version:

afpfs-ng-0.8.1-9.fc17.3.x86_64

--- Additional comment from Jan van Rooyen on 2012-10-27 18:10:58 EDT ---

>>The same issue as described above still exists in F17 with afpfs-ng version:
>>
>>afpfs-ng-0.8.1-9.fc17.3.x86_64

Picked this up as well.

Packages installed:
afpfs-ng-devel-0.8.1-9.fc17.3.x86_64
afpfs-ng-0.8.1-9.fc17.3.x86_64


Edited the file:
/usr/include/afpfs-ng/afp.h

as mentioned above and moved past the breaking point in the build.

--- Additional comment from Fedora End Of Life on 2013-07-03 19:54:26 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Robert Buchholz on 2013-07-31 13:54:51 EDT ---

Also happens on F19.
/usr/include/afpfs-ng/afp.h:10:26: fatal error: afp_protocol.h: No such file or directory
 #include <afp_protocol.h>

--- Additional comment from Fedora End Of Life on 2013-07-31 23:01:51 EDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Arun Raghavan on 2014-01-09 03:09:40 EST ---

Reproducible on F20 too.

Comment 1 Lubomir Rintel 2014-01-25 10:34:33 UTC
Thank you for your persistence, but this does not look like a bug to me. It's true that we install the headers into /usr/include/afpfs-ng ourselves, because the build script does not install them at all, but that's a rather common practice.

I suspect you're doing #include <afpfs-ng/afp.h> in your program? I believe you should really use= #include <afp.h> and compile with cc -I/usr/include/afpfs-ng instead.

If you feel otherwise, please reopen the bug and provide more context (Was I wrong in my assumption? Did xmbc's build tool use the wrong path itself? etc.).

Comment 2 Lubomir Rintel 2014-03-17 07:29:58 UTC
*** Bug 1068888 has been marked as a duplicate of this bug. ***

Comment 3 Lubomir Rintel 2014-03-17 07:30:12 UTC
*** Bug 993837 has been marked as a duplicate of this bug. ***

Comment 4 Lubomir Rintel 2014-03-17 07:30:13 UTC
*** Bug 967500 has been marked as a duplicate of this bug. ***

Comment 5 Lubomir Rintel 2014-03-17 07:30:15 UTC
*** Bug 806668 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.